## mx4j.tools.remote.caucho.hessian
Class HessianConnector

    java.lang.Object
      mx4j.tools.remote.AbstractJMXConnector
          mx4j.tools.remote.http.HTTPConnector
              mx4j.tools.remote.caucho.hessian.HessianConnector

All Implemented Interfaces:
  javax.management.remote.JMXConnector, java.io.Serializable

public class HessianConnector
extends HTTPConnector

A JSR 160 implementation of a JMXConnector over Caucho's Hessian protocol (http://www.caucho.com/hessian).
IMPORTANT NOTE:
This JMXConnector is still in experimental status, so compatibility with newer version may broke, especially regarding hessian serialization of JMX classes.

Version:
  $Revision: 1.4 $
See Also:
  `BurlapConnector`, Serialized Form

Field Summary

Fields inherited from interface javax.management.remote.JMXConnector
`CREDENTIALS`

Constructor Summary
`HessianConnector(javax.management.remote.JMXServiceURL address, java.util.Map environment)`

Method Summary
`protected javax.management.MBeanServerConnection` `doGetMBeanServerConnection(javax.security.auth.Subject delegate)` Template method to be implemented by subclasses to return an MBeanServerConnection for the given delegate subject.

Methods inherited from class mx4j.tools.remote.http.HTTPConnector
`createHeartBeat, createRemoteNotificationClientHandler, doClose, doConnect, getConnectionId, getHTTPConnection, getRemoteNotificationClientHandler`

Methods inherited from class mx4j.tools.remote.AbstractJMXConnector
`addConnectionNotificationListener, close, connect, connect, createConnectionNotificationEmitter, getAddress, getConnectionNotificationEmitter, getMBeanServerConnection, getMBeanServerConnection, isClosed, isConnected, removeConnectionNotificationListener, removeConnectionNotificationListener, sendConnectionNotificationClosed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HessianConnector

    public HessianConnector(javax.management.remote.JMXServiceURL address,
                            java.util.Map environment)
                     throws java.io.IOException

Method Detail

### doGetMBeanServerConnection

    protected javax.management.MBeanServerConnection doGetMBeanServerConnection(javax.security.auth.Subject delegate)
                                                                         throws java.io.IOException

  Description copied from class: `AbstractJMXConnector`
  Template method to be implemented by subclasses to return an MBeanServerConnection for the given delegate subject. This method should return an MBeanServerConnection that delegates method calls to a `JMXConnection` (or an equivalent client side connection object). The JMXConnection object to which calls are delegated can in turn be a chain of objects that decorate the call performing some other operation; the final object in the chain is the one that really communicates with the server side, and it is normally called <protocol>ClientInvoker.

  Specified by:
    `doGetMBeanServerConnection` in class `AbstractJMXConnector`
  Throws:
    `java.io.IOException`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.